﻿using Orchard.UI.Navigation;
using Orchard.Localization;
using Orchard.Security;

namespace CreepinJesus.ChangePassword {
	public class AdminMenu : INavigationProvider {
		public Localizer T { get; set; }

		public string MenuName { get { return "admin"; } }

		public void GetNavigation(NavigationBuilder builder) {
			// Add link to ~/Users/Account/ChangePassword
			builder.AddImageSet("changepassword")
				.Add(
					this.T("Change Password"),
					"100",
					menu => menu.Add(T("Change Password"), "0", item => item.Action("ChangePassword", "Account", new { area = "Orchard.Users" })
							.Permission(StandardPermissions.AccessAdminPanel)));
		}
	}
}
